<?xml version="1.0" encoding="UTF-8"?>
<!--                                                                        -->
<!-- Licensed Materials - Property of IBM                                   -->
<!-- (C) Copyright IBM Corp. 2009, 2014.  All Rights Reserved.              -->
<!--                                                                        -->
<!-- US Government Users Restricted Rights - Use, duplication or disclosure -->
<!-- restricted by GSA ADP Schedule Contract with IBM Corp.                 -->
<!--                                                                        -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" >
 
	<xsl:output method="xml" indent="yes" />

	<xsl:param name="id" />
	<xsl:param name="source" />
	<xsl:template match="@* | node()" name="Copy">
    <xsl:copy>
      <xsl:apply-templates select="@* | node()"/>
    </xsl:copy>
  </xsl:template>
    <xsl:template match="ID">
        <xsl:call-template name="Copy" />
        <xsl:if test=".=$id">
            <SOURCE>
                <xsl:value-of select="$source" />
            </SOURCE>
        </xsl:if>
    </xsl:template>
    
	
</xsl:stylesheet>